## pdfio 1.5.1+dfsg

=== examples/Makefile ===
#
# Makefile for PDFio examples.
#
# Copyright © 2024-2025 by Michael R Sweet.
#
# Licensed under Apache License v2.0.  See the file "LICENSE" for more
# information.
#

# POSIX makefile
.POSIX:


# Common options
CFLAGS		=	-g $(CPPFLAGS)
#CFLAGS		=	-g -fsanitize=address $(CPPFLAGS)
CPPFLAGS	=	-I.. $(shell PKG_CONFIG_PATH="..:$(PKG_CONFIG_PATH)" pkg-config pdfio --cflags)
LIBS		=	-L.. $(shell PKG_CONFIG_PATH="..:$(PKG_CONFIG_PATH)" pkg-config pdfio --libs)


# Targets
TARGETS		=	\
			code128 \
			image2pdf \
			md2pdf \
			pdf2text \
			pdfioinfo \
			pdfiomerge


# Make everything
all:	$(TARGETS)


# Clean everything
clean:
	rm -f $(TARGETS)


# code128
code128:	code128.c
	$(CC) $(CFLAGS) -o $@ code128.c $(LIBS)


# image2pdf
image2pdf:	image2pdf.c
	$(CC) $(CFLAGS) -o $@ image2pdf.c $(LIBS)


# md2pdf
md2pdf:		md2pdf.c mmd.c mmd.h
	$(CC) $(CFLAGS) -o $@ md2pdf.c mmd.c $(LIBS)


# pdfio text extraction (demo, doesn't handle a lot of things yet)
pdf2text:	pdf2text.c
	$(CC) $(CFLAGS) -o $@ pdf2text.c $(LIBS)


# pdfioinfo
pdfioinfo:	pdfioinfo.c
	$(CC) $(CFLAGS) -o $@ pdfioinfo.c $(LIBS)


# pdfiomerge
pdfiomerge:	pdfiomerge.c
	$(CC) $(CFLAGS) -o $@ pdfiomerge.c $(LIBS)


# Common dependencies...
$(TARGETS):	Makefile ../pdfio.h ../pdfio-content.h

## pdfio 1.5.1%2Bdfsg

=== debian/control ===
Source: pdfio
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
#Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: libs
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 zlib1g-dev
Standards-Version: 4.7.0
#Vcs-Browser: https://salsa.debian.org/printing-team/pdfio
#Vcs-Git: https://salsa.debian.org/printing-team/pdfio.git
Homepage: https://www.msweet.org/pdfio/
Rules-Requires-Root: no

Package: libpdfio1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C library for reading and writing PDF files
 The primary goals of PDFio are:
  - Read and write any version of PDF file
  - Provide access to pages, objects, and streams within a PDF file
  - Support reading and writing of encrypted PDF files
  - Extract or embed useful metadata (author, creator, page information, etc.)
  - "Filter" PDF files, for example to extract a range of pages or to embed
    fonts that are missing from a PDF
  - Provide access to objects used for each page
 .
 PDFio is not concerned with rendering or viewing a PDF file, although a PDF
 RIP or viewer could be written using it.

Package: libpdfio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libpdfio1 (= ${binary:Version}),
 zlib1g-dev,
 ${misc:Depends},
Description: C library for reading and writing PDF files
 The primary goals of PDFio are:
  - Read and write any version of PDF file
  - Provide access to pages, objects, and streams within a PDF file
  - Support reading and writing of encrypted PDF files
  - Extract or embed useful metadata (author, creator, page information, etc.)
  - "Filter" PDF files, for example to extract a range of pages or to embed
    fonts that are missing from a PDF
  - Provide access to objects used for each page
 .
 PDFio is not concerned with rendering or viewing a PDF file, although a PDF
 RIP or viewer could be written using it.
 .
 This package contains the headers, documentation, and examples.

## pdfio 1.5.1+dfsg

=== debian/changelog ===
pdfio (1.5.1+dfsg-0ubuntu1) plucky; urgency=medium

  * New upstream bug fix release.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 28 Mar 2025 23:27:20 +0100

pdfio (1.5.0+dfsg-0ubuntu3) plucky; urgency=medium

  * debian/watch: Fixes to make it actually work.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 25 Mar 2025 18:56:20 +0100

pdfio (1.5.0+dfsg-0ubuntu2) plucky; urgency=medium

  * autopkgtest: Make the main test program testpdfio.c be used. It
    failed to build and was commented out therefore. The build failure
    was due to a few tests using library-internal functions. Patched
    out these tests and now most of the unit tests work in the autopkgtest.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Mar 2025 00:48:20 +0100

pdfio (1.5.0+dfsg-0ubuntu1) plucky; urgency=medium

  * Initial release.
  * Repackaged to remove non-free testfiles/iso22028-2-romm-rgb.icc
  * debian/copyright: Added missing entries for fonts and ICC files,
    documented repackaging.
  * debian/control: Corrected formatting of descriptions, use standards
    version 4.7.0
  * debian/libpdfio.symbols: Use upstream version 1.5.0+dfsg, not Debian
    package release.
  * debian/source/lintian-overrides: Source of pdfio.html is pdfio.md.
  * debian/libpdfio1.lintian-overrides: Lintian complains about symbols list
    changes by dh_makeshlibs, not by the *.symbols list itself, so set an
    override to silence these false alarms.
  * debian/libpdfio-dev.lintian-overrides: Allow duplicate fonts in examples.
  * exclude-test-with-iso22028-2-romm-rgb-icc.patch: Exclude tests which
    use iso22028-2-romm-rgb.icc

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 18 Mar 2025 12:52:20 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	# Do not build with autoreconf, see https://github.com/michaelrsweet/pappl/pull/126 (valid for all projects by Michael Sweet)
	dh $@ --without autoreconf

override_dh_auto_configure:
	# Add LDFLAGS in DSOFLAGS, as that's what PDFio uses for linking
	dh_auto_configure -- \
		--with-dsoflags="$(LDFLAGS)" \
		--enable-shared

execute_before_dh_auto_configure:
	# Verbose builds
	sed '/.SILENT/d' -i Makefile.in

override_dh_compress:
	# Do not compress the examples
	dh_compress -Xexamples

=== debian/tests/control ===
Tests: testsuite
Depends:
 build-essential,
 libpdfio-dev,
 pkg-config,
 patch,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pdfio-$1.tar.gz%, \
    repacksuffix=\+dfsg, \
    dversionmangle=auto" \
    https://github.com/michaelrsweet/pdfio/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
# old version for github
#version=4
#opts=pgpsigurlmangle=s/$/.sig/ \
#  https://github.com/michaelrsweet/pdfio/releases .*/pdfio-(\d\S+)\.tar\.gz

## pdfio 1.6.1%2Bdfsg

=== debian/changelog ===
pdfio (1.6.1+dfsg-0ubuntu3) resolute; urgency=medium

  * d/t/testpdfio-autopkgtest.patch: Refresh patch.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Fri, 23 Jan 2026 22:50:56 +0530

pdfio (1.6.1+dfsg-0ubuntu2) resolute; urgency=medium

  * Added pkgconf and libpng-dev to Build-depends:

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 29 Dec 2025 23:45:32 +0100

pdfio (1.6.1+dfsg-0ubuntu1) resolute; urgency=medium

  * New upstream release.
  * exclude-test-with-iso22028-2-romm-rgb-icc.patch: Updated for new test program
    structure.
  * Updated debian/libpdfio1.symbols.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 28 Dec 2025 21:37:32 +0100

## pdfio 1.6.1+dfsg

=== debian/changelog ===
pdfio (1.6.1+dfsg-3fakesync1) resolute-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Feb 2026 16:59:21 -0500

pdfio (1.6.1+dfsg-3) unstable; urgency=medium

  * Team upload
  * Set Vcs fields (Closes: #1126921)
  * Add Depends: libpng-dev (Closes: #1126920)

 -- Bastian Germann <bage@debian.org>  Thu, 05 Feb 2026 00:02:08 +0100

pdfio (1.6.1+dfsg-2) unstable; urgency=medium

  * Add missing Build-Depends: pkgconf

 -- Bastian Germann <bage@debian.org>  Tue, 03 Feb 2026 16:31:13 +0100

pdfio (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Import usable changes from Ubuntu
  * Clean the build files

 -- Bastian Germann <bage@debian.org>  Mon, 02 Feb 2026 13:21:26 +0100

pdfio (1.5.1+dfsg-1) unstable; urgency=medium

  * Initial version based on Ubuntu package (Closes: #1093735)

 -- Bastian Germann <bage@debian.org>  Wed, 25 Jun 2025 08:56:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: pdfio
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-#Uploaders: Thorsten Alteholz <debian@alteholz.de>
+XSBC-Original-Maintainer: Bastian Germann <bage@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.22.5),
+Build-Depends:
+ dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
+Build-Depends-Arch:
+ libpng-dev,
+ pkgconf,
  zlib1g-dev
 Standards-Version: 4.7.0
-#Vcs-Browser: https://salsa.debian.org/printing-team/pdfio
-#Vcs-Git: https://salsa.debian.org/printing-team/pdfio.git
 Homepage: https://www.msweet.org/pdfio/
 Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/printing-team/pdfio.git
+Vcs-Browser: https://salsa.debian.org/printing-team/pdfio
 
 Package: libpdfio1
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -39,9 +41,10 @@
 Section: libdevel
 Depends:
  libpdfio1 (= ${binary:Version}),
+ libpng-dev,
  zlib1g-dev,
  ${misc:Depends},
-Description: C library for reading and writing PDF files
+Description: C library for reading and writing PDF files (development files)
  The primary goals of PDFio are:
   - Read and write any version of PDF file
   - Provide access to pages, objects, and streams within a PDF file

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,6 @@
 		--with-dsoflags="$(LDFLAGS)" \
 		--enable-shared
 
-execute_before_dh_auto_configure:
-	# Verbose builds
-	sed '/.SILENT/d' -i Makefile.in
-
 override_dh_compress:
 	# Do not compress the examples
 	dh_compress -Xexamples

## pdfio 1.6.2+dfsg

=== debian/changelog ===
pdfio (1.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.2+dfsg
  * Team-maintain the package

 -- Bastian Germann <bage@debian.org>  Mon, 23 Feb 2026 08:54:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: pdfio
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bastian Germann <bage@debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Uploaders: Bastian Germann <bage@debian.org>
 Section: libs
 Priority: optional
 Build-Depends:

=== debian/watch ===
version=4
opts=" \
    repacksuffix=+dfsg, \
    dversionmangle=auto" \
    https://github.com/michaelrsweet/pdfio/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
